if(!dojo._hasResource["com.ibm.mm.builder.iwidget.pagesource.CodeEditor"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.iwidget.pagesource.CodeEditor"] = true;
dojo.provide("com.ibm.mm.builder.iwidget.pagesource.CodeEditor");

dojo.declare("com.ibm.mm.builder.iwidget.pagesource.CodeEditor", null, {
	
	editor: null,
	
	constructor: function(editor){
		this.editor = editor;
	},
	
    // syntax highlighting parser
    _syntaxHighlight: function(flag){
        var ml = this.editor.innerHTML;

        if (!ml) {
			return;
		}
		
		ml = ml.replace(/&gt;/g, '>').replace(/&lt;/g, '<').replace(/<br>/g, '\n').replace(/(<font.*?>)/g, '').
				replace(/(<\/font>)/g, '').replace(/(<\/?\w+[^>]+>)/g, "\f$1\b").replace(/</g, '&lt;').
				replace(/>/g, document.all ? '&gt;<br/>' :  '&gt;').replace(/\n/g, '<br>');
        
		while (true) {
            var idx = ml.indexOf("\f");
            if (idx == -1) {
				break;
			}
            var idx2 = ml.indexOf("\b");
            var s = ml.substring(idx + 1, idx2);
            if (s.indexOf(" ") != -1) {
                s = s.replace(/(\w+)=(\"[^\"]*\")/g, "<font color=\"#7B007B\">$1</font>=<font color=\"#2900FF\">$2</font>");
            }
            ml = ml.substring(0, idx) + '<font color="#397D7B">' + s + '</font>' + ml.substring(idx2 + 1);
        }
        this.editor.innerHTML = ml;
		
    },
	
    setCode: function(code){
        this.editor.innerHTML = code.replace(/\u2009/gi, '');
		this._syntaxHighlight();
    }
});

}
