if(!dojo._hasResource["com.ibm.mm.builder.iwidget.spacemanager.widget.SpaceManagerActionBar"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.iwidget.spacemanager.widget.SpaceManagerActionBar"] = true;
dojo.provide("com.ibm.mm.builder.iwidget.spacemanager.widget.SpaceManagerActionBar");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.declare("com.ibm.mm.builder.iwidget.spacemanager.widget.SpaceManagerActionBar", [dijit._Widget, dijit._Templated], {
	templateString: "<div class='action_buttons lotusBtnContainer'></div>",
	
	postCreate: function() {
		var mycontextmenu = com.ibm.mashups.builder.model.Factory.getRuntimeModel().getCurrentContextMenu();
		var actionButtons = mycontextmenu.getContextMenu("ContextMenu.SpaceManager.ActionBar", null, null, null);
		
		dojo.forEach(actionButtons, function(actionButton) {
			if (!actionButton.isSeparator) {
				this._createButton(actionButton);
			}
		}, this);
	},
	
	_createButton: function(button) {
		var btn = dojo.query(dojo.create("button", {
			innerHTML: button.title
		}, this.domNode));
		
		btn.addClass("lotusBtn lotusBtnAction").onclick(function(event) {
            button.actionCallBackFunction();
        });

		btn.attr("id", dijit.getUniqueId(button.id));
	}
});

}
