if(!dojo._hasResource["com.ibm.widgets.TemplateCleaner"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.widgets.TemplateCleaner"] = true;
dojo.provide("com.ibm.widgets.TemplateCleaner");

dojo.require("dijit._Templated");

dojo.extend(dijit._Templated, {
	destroyRecursive: function(preserveDom) {
		if(this._destroyed) return;
		this.inherited("destroyRecursive", arguments);
	},
	destroy: function(oldFunc, preserveDom) {
		if(this._destroyed) return;
		this._destroyed = true;
		this.inherited("destroy", arguments);
		dojo.forEach(this._attachPoints, function(point){
			this[point] = null;
		}, this);
		this._attachPoints = [];
	},
	_oldAttachTemplateNodes: dijit._Templated.prototype._attachTemplateNodes,
	_attachTemplateNodes: function(rootNode, func) {
		var res = this._oldAttachTemplateNodes.apply(this, arguments);
		func = func ? func : function(node, attr) {return node.getAttribute(attr);};
		var nodes = dojo.isArray(rootNode) ? rootNode : [rootNode];
		if(!this._attachPoints) this._attachPoints = [];
		dojo.forEach(nodes, function(node){
			var pointNodes = null;
			if(node.domNode) {
				// node is a widget
				pointNodes = [node];
			}
			else {
				// node is a DOM node
				pointNodes = dojo.query("[dojoAttachPoint]", node);
			}
			dojo.forEach(pointNodes, function(pointNode){
				var pointStr = func(pointNode, "dojoAttachPoint"),
					points = pointStr.split(/\s*,\s*/mg);
				dojo.forEach(points, function(point){
					this._attachPoints.push(point);
				}, this);
			}, this);
		}, this);
		return res;
	}
});

}
