/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.navigation.NavigationURL");

dojo.require("com.ibm.mashups.enabler.navigation.NavigationElement");
//<INTERFACE>
/**
 * Interface representing a navigation url
 * 
 * @since 2.4
 * 
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.navigation.NavigationURL", [
		com.ibm.mashups.enabler.navigation.NavigationElement], {

	/**
	 * Returns the URL this navigation URL points to.
	 * @return {String} URL
	 */
	getURL : function() {
	},

	/**
	 * Sets the URL this navigation URL points to.
	 * @param {String} url url to set; must not be <code>null</null>
	 * @type void
	 */
	setURL : function(url) {
	}
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.navigation.NavigationURLImpl");
