if(!dojo._hasResource["com.ibm.mashups.builder.model.Runtimemodel"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mashups.builder.model.Runtimemodel"] = true;
dojo.provide("com.ibm.mashups.builder.model.Runtimemodel");

dojo.require("com.ibm.mashups.builder.model.Page");
dojo.require("com.ibm.mashups.builder.model.Theme");
dojo.require("com.ibm.mashups.builder.model.ContextMenu");

/**
 * Interface representing builder runtime model
 * Usage: var runtimeModel = com.ibm.mashups.builder.model.Factory.getRuntimeModel();
 * @ibm-api
 * @ibm-module Builder
 */
dojo.declare( "com.ibm.mashups.builder.model.RuntimeModel", null, {
    
    /**
     * @deprecated
     * Use com.ibm.mashups.builder.model.Factory.getContextMenuModel instead
     * Returns the builder context menu model
     * @type    com.ibm.mashups.builder.model.ContextMenu
     * @return  {com.ibm.mashups.builder.model.ContextMenu}, never <code>null</code>
     */
    getCurrentContextMenu: function() {
        return new com.ibm.mashups.builder.model.ContextMenu();
    },
    
    /**
     * Returns the builder page model
     * @type    com.ibm.mashups.builder.model.Page
     * @return  {com.ibm.mashups.builder.model.Page}, never <code>null</code>
     */
    getCurrentPage: function() {
        return new com.ibm.mashups.builder.model.Page();
    },
    
    /**
     * Returns the builder theme model
     * @type    com.ibm.mashups.builder.model.Theme
     * @return  {com.ibm.mashups.builder.model.Theme}, never <code>null</code>
     */
    getCurrentTheme: function() {
        return new com.ibm.mashups.builder.model.Theme();
    }
    
});

}
