/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.widget.ModifiablePropertiesProvider");

dojo.require("com.ibm.mashups.iwidget.widget.ModifiableProperties");

/**
 * Modifiable interface defines functions to access properties that's defined with iWidget.
 * @ibm-spi
 * @ibm-module iWidget2
 */
dojo.declare("com.ibm.mashups.iwidget.widget.ModifiablePropertiesProvider", null, {
    /**
     * @private
     */
    constructor: function() {
    },
    /**
     This method returns an object that contains iDescriptor items as defined by iWidget spec. It contains  default title and icon
     @type com.ibm.mashups.iwidget.widget.ModifiableProperties
     @returns{com.ibm.mashups.iwidget.widget.ModifiableProperties } object that contains iWidget iDescriptor items information
     */
    getIDescriptorItems: function() {
    },
    
    /**
     This method returns an object that contains attributes as defined by iWidget spec.
     @type com.ibm.mashups.iwidget.widget.ModifiableProperties
     @returns{com.ibm.mashups.iwidget.widget.ModifiableProperties } object that contains iWidget iDescriptor items information
     */
    getAttributes: function() {
    }
});
